Skip to main content

List MAC overrides for a network

GET
/networks/{id}/mac-policy/overrides

Contract

Parameter
Value
Sectionnetworks
AuthenticationCookieAuth
Consumesnot required
Producesapplication/json

Parameters

1 parameter

Name
Location
Required
Type
Description
idpathyesintegerNetwork ID

Responses

4 responses

Status
Description
Type
200
Successful responseobject
400
Invalid network ID or network not foundobject
401
Unauthorizedobject
500
Failed to load override recordsobject
  • {
      "cursor": {
        "count": 0,
        "currentPage": 0,
        "totalPages": 0,
        "totalRows": 0
      },
      "data": [
        {
          "id": 0,
          "ip": "<string>",
          "mac": "<string>",
          "networkId": 0
        }
      ]
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }